# Class BeanShellAssertion

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.BeanShellTestElement
org.apache.jmeter.assertions.BeanShellAssertion

All Implemented Interfaces:
  `Serializable, Cloneable, Assertion, Searchable, TestElement, TestStateListener, ThreadListener`

public class BeanShellAssertion extends BeanShellTestElement implements Assertion
An Assertion which understands BeanShell

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FILENAME`
`static final String`
`INIT_FILE`
`static final String`
`PARAMETERS`
`static final String`
`RESET_INTERPRETER`
`static final String`
`SCRIPT`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`BeanShellAssertion()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFilename()`
`protected String`
`getInitFileProperty()`
`String`
`getParameters()`
`AssertionResult`
`getResult(SampleResult response)`
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.
`String`
`getScript()`
Return the script (TestBean version).
`boolean`
`isResetInterpreter()`

### Methods inherited from class BeanShellTestElement

`clone, getBeanShellInterpreter, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testStarted, testStarted, threadFinished, threadStarted`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FILENAME

public static final String FILENAME

See Also:
  - Constant Field Values

### SCRIPT

public static final String SCRIPT

See Also:
  - Constant Field Values

### PARAMETERS

public static final String PARAMETERS

See Also:
  - Constant Field Values

### RESET_INTERPRETER

public static final String RESET_INTERPRETER

See Also:
  - Constant Field Values

### INIT_FILE

public static final String INIT_FILE

See Also:
  - Constant Field Values

## Constructor Details

### BeanShellAssertion

public BeanShellAssertion()

## Method Details

### getInitFileProperty

protected String getInitFileProperty()

Specified by:
  `getInitFileProperty` in class `BeanShellTestElement`

### getScript

public String getScript()
Description copied from class: `BeanShellTestElement`
Return the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.

Overrides:
  `getScript` in class `BeanShellTestElement`
Returns:
  the script to execute

### getFilename

public String getFilename()

Overrides:
  `getFilename` in class `BeanShellTestElement`

### getParameters

public String getParameters()

Overrides:
  `getParameters` in class `BeanShellTestElement`

### isResetInterpreter

public boolean isResetInterpreter()

Overrides:
  `isResetInterpreter` in class `BeanShellTestElement`

### getResult

public AssertionResult getResult(SampleResult response)
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

Specified by:
  `getResult` in interface `Assertion`
Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.